define({'access level':{d:'A permission assigned to a user to control which commands the user can execute. See protections.',l:''},'admin access':{d:'An access level that gives the user permission to run commands that override metadata but do not affect the state of the service.',l:''},'apple file type':{d:'Helix server file type assigned to files that are stored using AppleSingle format, permitting the data fork and resource fork to be stored as a single file.',l:''},'atomic change transaction':{d:'Grouping operations affecting a number of files in a single transaction. If all operations in the transaction succeed, all the files are updated. If any operation in the transaction fails, none of the files are updated.',l:''},'base':{d:'The file revision on which two newer, conflicting file revisions are based.',l:''},'binary file type':{d:'Helix server file type assigned to a non-text file. By default, the contents of each revision are stored in full, and the file is stored in compressed format.',l:''},'branch':{d:'(noun) A set of related files created by copying files, as opposed to adding files. A group of related files is often referred to as a codeline. \n(verb) To create a stream by copying another stream with p4 copy or p4 populate.',l:''},'branch form':{d:'The form you use to modify a branch.',l:''},'branch mapping':{d:'Specifies how a branch is to be created by defining the location of the original codeline and the branch. The branch mapping is used by the integration process to create and update branches. Client workspaces, labels, and branch specifications cannot share the same name.',l:''},'branch view':{d:'A specification of the branching relationship between two codelines in the depot. Each branch view has a unique name and defines how files are mapped from the originating codeline to the target codeline. See branch.',l:''},'change review':{d:'The process of sending email to users who have registered their interest in changes made to specified files in the depot.',l:''},'changelist':{d:'An atomic change transaction in Helix server. The changes specified in the changelist are not stored in the depot until the changelist is submitted to the depot.',l:''},'changelist form':{d:'The form you use to modify a changelist.',l:''},'changelist number':{d:'The unique numeric identifier of a changelist.',l:''},'checkpoint':{d:'A copy of the underlying metadata at a particular moment in time. See metadata.',l:''},'classic depot':{d:'The depot name that is assumed when no name is specified. The default depot name is depot. See also default depot and stream depot.',l:''},'client form':{d:'The form you use to define a client workspace.',l:''},'client name':{d:'A name that uniquely identifies the current client workspace.',l:''},'client root':{d:'The root directory of a client workspace. If two or more client workspaces are located on one machine, they cannot share a root directory.',l:''},'client side':{d:'The right-hand side of a mapping within a client view, specifying where the corresponding depot files are located in the client workspace.',l:''},'client workspace':{d:'Directories on your machine where you work on file revisions that are managed by Helix server. By default, this name is set to the name of the machine on which your client workspace is located; to override the default name, set the P4CLIENT environment variable. Client workspaces, labels, and branch specifications cannot share the same name.',l:''},'codeline':{d:'A set of files that evolve collectively. One codeline can be branched from another, allowing each set of files to evolve separately.',l:''},'conflict':{d:'One type of conflict occurs when two users open a file for edit. One user submits the file, after which the other user cannot submit because of a conflict. The cause of this type of conflict is two users opening the same file. The other type of conflict is when users try to merge one file into another. This type of conflict occurs when the comparison of two files to a common base yields different results, indicating that the files have been changed in different ways. In this case, the merge can’t be done automatically and must be done by hand. The type of conflict is caused by non-matching diffs. See file conflict.',l:''},'counter':{d:'A numeric variable used by to track changelist numbers in conjunction with the review feature.',l:''},'default changelist':{d:'The changelist used by commands, unless a numbered changelist is specified. A default pending changelist is created automatically when a file is opened for edit.',l:''},'default depot':{d:'The depot name that is assumed when no name is specified. The default depot name is depot.',l:''},'deleted file':{d:'In Helix server, a file with its head revision marked as deleted. Older revisions of the file are still available.',l:''},'delta':{d:'The differences between two files.',l:''},'depot':{d:'A file repository hosted on the server. It contains all versions of all files ever submitted to the depot. There can be multiple depots on a single installation.',l:''},'depot root':{d:'The root directory for a depot.',l:''},'depot side':{d:'The left side of any client view mapping, specifying the location of files in a depot.',l:''},'depot syntax':{d:'Helix server syntax for specifying the location of files in the depot.',l:''},'detached':{d:'A machine that cannot connect to the server.',l:''},'diff':{d:'(noun) A set of lines that don’t match when two files are compared. A conflict is a pair of unequal diffs between each of two files and a common third file.\n(verb) To compare the contents of files or file revisions.',l:''},'donor file':{d:'The file from which changes are taken when propagating changes from one file to another.',l:''},'exclusionary access':{d:'A permission that denies access to the specified files.',l:''},'exclusionary mapping':{d:'A view mapping that excludes specific files.',l:''},'file conflict':{d:'In a three-way file merge, a situation in which two revisions of a file differ from each other and from their base file.\nAlso: an attempt to submit a file that is not an edit of the head revision of the file in the depot; typically occurs when another user opens the file for edit after you have opened the file for edit.',l:''},'file pattern':{d:'Helix server command line syntax that enables you to specify files using wildcards.',l:''},'file repository':{d:'The master copy of all files; shared by all users. In Helix server, this is called the depot.',l:''},'file revision':{d:'A specific version of a file within the depot. Each revision is assigned a number, in sequence. Any revision can be accessed in the depot by its revision number, for example: testfile#3.',l:''},'file tree':{d:'All the subdirectories and files under a given root directory.',l:''},'file type':{d:'An attribute that determines how stores and diffs a particular file. Examples of file types are text and binary.',l:''},'fix':{d:'A job that has been linked to a changelist.',l:''},'form':{d:'Screens displayed by certain Helix server commands. For example, you use the change form to enter comments about a particular changelist and to verify the affected files.',l:''},'full-file storage':{d:'The method by which Helix server stores revisions of binary files in the depot: every file revision is stored in full. Contrast this with reverse delta storage, which Helix server uses for text files.',l:''},'get':{d:'An obsolete Helix server term. Replaced by sync.',l:''},'group':{d:'A list of Helix server users.',l:''},'have list':{d:'The list of file revisions currently in the client workspace.',l:''},'head revision':{d:'The most recent revision of a file within the depot. Because file revisions are numbered sequentially, this revision is the highest-numbered revision of that file.',l:''},'Helix server':{d:'The Helix Server depot and metadata; also, the program that manages the depot and metadata, also calledHelix Versioning Engine.',l:''},'integrate':{d:'To compare two sets of files (for example, two codeline branches) and determine which changes in one set apply to the other; determine if the changes have already been propagated; propagate any outstanding changes.',l:''},'inter-file branching':{d:'Branching mechanism in Helix server.',l:''},'job':{d:'A user-defined unit of work tracked by Helix server. The job template determines what information is tracked. The template can be modified by the Helix Server system administrator.',l:''},'job specification':{d:'A specification containing the fields and valid values stored for a Helix server job.',l:''},'job view':{d:'A syntax used for searching Helix server jobs.',l:''},'journal':{d:'A file containing a record of every change made to the Helix server’s metadata since the time of the last checkpoint.',l:''},'journaling':{d:'The process of recording changes made to the Helix server’s metadata.',l:''},'label':{d:'A named list of user-specified file revisions.',l:''},'label view':{d:'The view that specifies which filenames in the depot can be stored in a particular label.',l:''},'lazy copy':{d:'A method used by Helix server to make internal copies of files without duplicating file content in the depot. Lazy copies minimize the consumption of disk space by storing references to the original file instead of copies of the file.',l:''},'license file':{d:'Ensures that the number of Helix server users on your site does not exceed the number for which you have paid.',l:''},'list access':{d:'A protection level that enables you to run reporting commands but prevents access to the contents of files.',l:''},'local depot':{d:'Any depot located on the currently specified Helix server.',l:''},'local syntax':{d:'The operating-system-specific syntax for specifying a filename.',l:''},'lock':{d:'A file lock prevents other clients from submitting the locked file. Files are unlocked with the p4 unlock command or submitting the changelist that contains the locked file.',l:''},'log':{d:'Error output from the Helix server. By default, error output is written to standard error. To\nspecify a log file, set the P4LOG environment variable or use the p4d -L flag when starting the service.',l:''},'mapping':{d:'A single line in a view, consisting of a left side and a right side that specify the correspondences between files in the depot and files in a client, label, or branch. The left side specifies the depot files, and the right side specifies the client\nfiles. See also workspace view, branch view, label view.',l:''},'MDS checksum':{d:'The method used by Helix server to verify the integrity of archived files.',l:''},'merge':{d:'To create new files from existing files, preserving their ancestry (branching), or to propagate changes from one set of files to another. Also, the process of combining the contents of two conflicting file revisions into a single file, typically using a merge tool like P4Merge.',l:''},'merge file':{d:'A file generated by the Helix server from two conflicting file revisions.',l:''},'metadata':{d:'The data stored by the Helix server that describes the files in the depot, the current state\nof client workspaces, protections, users, labels, and branches. Metadata includes all the data stored in the service except for the actual contents of the files.',l:''},'modification time':{d:'The time a file was last changed.',l:''},'nonexistent revision':{d:'A completely empty revision of any file. Syncing to a nonexistent revision of a file removes it from your workspace. An empty file revision created by deleting a file and the #none revision specifier are examples of nonexistent\nfile revisions.',l:''},'numbered changelist':{d:'A pending changelist to which Helix server has assigned a number.',l:''},'open file':{d:'A file that you are changing in your client workspace.',l:''},'owner':{d:'The Helix server user who created a particular client, branch, or label.',l:''},'p4':{d:'The Helix server command line program, and the command you issue to execute commands from the operating system command line.',l:''},'p4d':{d:'The program that runs the Helix server; p4d manages depot files and metadata.',l:''},'P4Diff':{d:'A Helix server application that displays the differences between two files. P4Diff is the default application used to compare files during the file resolution process.',l:''},'pending changelist':{d:'A changelist that has not been submitted.',l:''},'protections':{d:'The permissions stored in the Helix server’s protections table.',l:''},'RCS format':{d:'Revision Control System format. Used for storing revisions of text files. RCS format uses reverse delta encoding for file storage. Helix server uses RCS format to store text files. See also reverse delta storage.',l:''},'read access':{d:'A protection level that enables you to read the contents of  files managed by Helix server.',l:''},'remote depot':{d:'A depot located on a host other than that hosting the \ncurrently-specified Helix server.',l:''},'reresolve':{d:'The process of resolving a file after the file is resolved and before it is submitted.',l:''},'resolve':{d:'The process you use to reconcile the differences between two\nrevisions of a file. You can choose to resolve conflicts by\nselecting a file to be submitted or by merging the contents of conflicting files.',l:''},'resource fork':{d:'One fork of a Mac file. (These files are composed of a resource fork and a data fork.) You can store resource forks in depots in the Helix server as part of an AppleSingle file by using the Helix Server server apple file type.',l:''},'reverse delta storage':{d:'The method that Helix server uses to store revisions of text files. Helix server stores the changes between each revision and its previous revision, plus the full text of the head revision.',l:''},'revert':{d:'To discard the changes you have made to a file in the client workspace.',l:''},'review access':{d:'A special protections level that includes read and list accesses and grants permission to run the p4 review command.',l:''},'review daemon':{d:'Any daemon process that uses the p4 review command. See also change review.',l:''},'revision number':{d:'A number indicating which revision of the file is being referred to.',l:''},'revision range':{d:'A range of revision numbers for a specified file, specified as\nthe low and high end of the range. For example, myfile#5,7 specifies revisions 5 through 7 of myfile.',l:''},'revision specification':{d:'A suffix to a filename that specifies a particular revision of that file. Revision specifiers can be revision numbers, change numbers, label names, date/time specifications, or client names.',l:''},'server root':{d:'The directory in which p4d stores its metadata and all the shared files. To specify the server root, set the P4ROOT environment variable.',l:''},'service':{d:'In the Helix Versioning Engine, the shared versioning service that responds to requests from Helix Server client applications. The Helix server (p4d) maintains depot files and metadata describing the files and also tracks the state of client workspaces.',l:''},'shelving':{d:'The process of temporarily storing files in the Helix server without checking in a changelist.',l:''},'status':{d:'For a changelist, a value that indicates whether the changelist\nis new, pending, or submitted. For a job, a value that indicates whether the job is open, closed, or suspended. You can customize job statuses.',l:''},'stream':{d:'A stream is a branch, but with additional intelligence that determines what changes can be made and in what order they must be made.',l:''},'submit':{d:'To send a pending changelist and changed files to the Helix server for processing.',l:''},'subscribe':{d:'To register to receive email whenever changelists that affect particular files are submitted.',l:''},'super access':{d:'An access level that gives the user permission to run every Helix server command, including commands that set protections, install triggers, or shut down the service for maintenance.',l:''},'symlink file type':{d:'A Helix server file type assigned to symbolic links. On platforms that do not support symbolic links, symlink files appear as small text files.',l:''},'sync':{d:'To copy a file revision (or set of file revisions) from the depot to a client workspace.',l:''},'target file':{d:'The file that receives the changes from the donor file when you are integrating changes between a branched codeline and the original codeline.',l:''},'text file type':{d:'Helix server file type assigned to a file that contains only ASCII text. See also binary file type.',l:''},'theirs':{d:'The revision in the depot with which the client file is merged when you resolve a file conflict. When you are working with branched files, theirs is the donor file.',l:''},'three-way merge':{d:'The process of combining three file revisions. During a three-way merge, you can identify where conflicting changes have occurred and specify how you want to resolve the conflicts.',l:''},'tip revision':{d:'In Helix server, the head revision. Tip revision is a term used by some other versioning systems.',l:''},'trigger':{d:'A script automatically invoked by the Helix server when changelists are submitted.',l:''},'two-way merge':{d:'The process of combining two file revisions. In a two-way merge, you can see differences between the files but cannot see conflicts.',l:''},'typemap':{d:'A table in Helix server in which you assign file types to files.',l:''},'user':{d:'The identifier that Helix server uses to determine who is performing an operation.',l:''},'view':{d:'A description of the relationship between two sets of files. See workspace view, label view, branch view.',l:''},'wildcard':{d:'A special character used to match other characters in strings. The following wildcards are available in Helix server: * matches anything except a slash; ... matches anything including slashes; %%0 through %%9 is used for parameter substitution in views.',l:''},'workspace':{d:'See client workspace.',l:''},'workspace view':{d:'A set of mappings that specifies the correspondence between file locations in the depot and the client workspace.',l:''},'write access':{d:'A protection level that enables you to run commands that alter the contents of files in the depot. write access  includes read and list accesses.',l:''},'yours':{d:'The edited version of a file in the client workspace when you resolve a file. Also, the target file when you integrate a branched file.',l:''}});